## glite-lbjp-common-trio 2.2.2

=== Makefile ===
# Default values
top_srcdir=..
builddir=build
top_builddir=${top_srcdir}/${builddir}
stagedir=.
distdir=.
globalprefix=glite
package=glite-lbjp-common-trio
version=0.0.0
PREFIX=/opt/glite
lbuprefix=lbu
prefix=

-include Makefile.inc
-include ${top_srcdir}/project/version.properties

version=${module.version}

VPATH=${top_srcdir}/src:${top_srcdir}/test::${top_srcdir}/doc

CC=gcc

DEBUG:=-g -O0 -Wall

CFLAGS:=${DEBUG} -I${top_srcdir}/src -I${top_srcdir}/interface -I. -DDATAGRID_EXTENSION ${CFLAGS}

COMPILE:=libtool --mode=compile ${CC}
LINK:=libtool --mode=link ${CC} -rpath ${stagedir}${prefix}/${libdir} ${LDFLAGS} 
LINKXX:=libtool --mode=link ${CXX} -rpath ${stagedir}${prefix}/${libdir} ${LDFLAGS} 
INSTALL:=libtool --mode=install install

os=${shell uname}
DL_LIBS:=
ifeq (${os},Linux)
  DL_LIBS:=-ldl
endif

REPORTS:=${top_srcdir}/reports
TEST_LIBS:=-L${cppunit_prefix}/${libdir} -lcppunit ${DL_LIBS}
TEST_INC:=-I${cppunit_prefix}/include


OBJS:=trio.o strio.o escape.o
LOBJS:=${OBJS:.o=.lo}

HDRS:=trio.h escape.h

STATICLIB:=libglite_lbu_trio.a
LTLIB:=libglite_lbu_trio.la

default: all

all compile: ${STATICLIB} ${LTLIB}

# to use libtool versioning correcty, we should have:
#
# current = major + minor + offset
# revision = patch
# age = minor
#
# where offset is a sum of maximal released minor's of all previous major's
# 
# version_info=-version-info `echo ${version} | cut -d. -f1,2 | tr . :`

# counted minors: n/a
offset=0

version_info:=-version-info ${shell \
	perl -e '$$,=":"; @F=split "\\.","${version}"; print $$F[0]+$$F[1]+${offset},$$F[2],$$F[1]' }

${STATICLIB}: ${OBJS}
	ar crv $@ ${OBJS}
	ranlib $@

${LTLIB}: ${OBJS}
	${LINK} ${version_info} -o $@ ${LOBJS} -lm

stage: compile
	$(MAKE) install PREFIX=${stagedir} DOSTAGE=yes

check: compile mkreports runtest

mkreports:
	-mkdir ${REPORTS}

runtest: trio_test
	./trio_test ${REPORTS}/trio.xml

trio_test: trio_test.cpp
	${CXX} -c ${CFLAGS} ${TEST_INC} $<
	${LINKXX} -o $@ trio_test.o ${LTLIB} ${TEST_LIBS}

dist: distsrc distbin

distsrc:
	mkdir -p ${top_srcdir}/${package}-${version}
	cd ${top_srcdir} && GLOBIGNORE="${package}-${version}" && cp -Rf * ${package}-${version}
	cd ${top_srcdir} && tar -czf ${distdir}/${package}-${version}_src.tar.gz --exclude-from=project/tar_exclude ${package}-${version}
	rm -rf ${top_srcdir}/${package}-${version}

distbin:
	$(MAKE) install PREFIX=`pwd`/tmpbuilddir${stagedir}
	save_dir=`pwd`; cd tmpbuilddir${stagedir} && tar -czf $$save_dir/${top_srcdir}/${distdir}/${package}-${version}_bin.tar.gz *; cd $$save_dir
	rm -rf tmpbuilddir

install: all
	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/${libdir}
	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${lbutilsprefix}
	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${lbuprefix}
	${INSTALL} -m 755 ${LTLIB} ${DESTDIR}${PREFIX}${prefix}/${libdir}
	${INSTALL} -m 644 ${STATICLIB} ${DESTDIR}${PREFIX}${prefix}/${libdir}
	${INSTALL} -m 644 ${top_srcdir}/LICENSE ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
	(cd ${top_srcdir}/interface && ${INSTALL} -m 644 ${HDRS} ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${lbuprefix})

clean:
	rm -rvf *.o *.lo .libs lib* *.c *.h *.dox C/ CPP/
	rm -vf trio_test
	
distclean:
	rm -rvf Makefile.inc *.spec debian/

%.lo %.o: %.c
	${COMPILE} ${CFLAGS} -c $<

=== debian/changelog ===
glite-lbjp-common-trio (2.2.2-3) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Fri, 04 May 2012 14:35:30 +0200

=== debian/control ===
Source: glite-lbjp-common-trio
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), chrpath, libcppunit-dev, libtool
Standards-Version: 3.9.1
Section: libs
Homepage: http://glite.cern.ch
DM-Upload-Allowed: yes
Vcs-Cvs: :pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw
Vcs-Browser: http://jra1mw.cvs.cern.ch/cgi-bin/jra1mw.cgi

Package: libglite-lbu-trio2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Standalone extended implementation of printf and scanf
 Standalone extended implementation of printf and scanf. Provides specialized
 formating options used by LB and
 JP.

Package: libglite-lbjp-common-trio-dev
Section: libdevel
Architecture: any
Provides: glite-lbjp-common-trio
Depends: libglite-lbu-trio2 (= ${binary:Version}), ${misc:Depends}
Description: Development files for gLite L&B/JP common trio library
 This package contains development libraries and header files for gLite L&B/JP
 common trio library.

Package: glite-lbjp-common-trio-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libglite-lbu-trio2 (= ${binary:Version}), ${misc:Depends}
Description: gLite L&B/JP common trio library debugging symbols
 This package contains debugging symbols for gLite L&B/JP common trio library.

## glite-lbjp-common-trio 2.2.3

=== Makefile ===
--- 
+++ 
@@ -115,8 +115,8 @@
 
 clean:
 	rm -rvf *.o *.lo .libs lib* *.c *.h *.dox C/ CPP/
-	rm -vf trio_test
-	
+	rm -rvf trio_test ${REPORTS}
+
 distclean:
 	rm -rvf Makefile.inc *.spec debian/

=== debian/changelog ===
glite-lbjp-common-trio (2.2.3-1) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Thu, 26 Jul 2012 12:23:44 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: extra
 Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
 Uploaders: František Dvořák <valtri@civ.zcu.cz>
-Build-Depends: debhelper (>= 7.0.50~), chrpath, libcppunit-dev, libtool
+Build-Depends: debhelper (>= 7.0.50~), chrpath, libcppunit-dev, libtool, pkg-config
 Standards-Version: 3.9.1
 Section: libs
 Homepage: http://glite.cern.ch

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

-include /usr/share/dpkg/buildflags.mk

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=/usr --libdir=lib --project=emi --module lbjp-common.trio
	touch $@

build: build-arch build-indep

build-arch build-indep: build-stamp

build-stamp: configure-stamp
	dh_testdir
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE)
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE) check
	touch $@

clean: configure-stamp
	dh_testdir
	dh_testroot
	rm -f configure-stamp build-stamp
	$(MAKE) clean
	rm -f Makefile.inc config.status
	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	rm -rvf $(CURDIR)/debian/tmp/usr/share
	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.la
	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.a
	find $(CURDIR)/debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'

binary-indep:

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installlogrotate
	dh_installcron
	dh_install --fail-missing
	dh_link
	dh_strip --dbg-package=glite-lbjp-common-trio-dbg
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep

## glite-lbjp-common-trio 2.3.1

=== Makefile ===
--- 
+++ 
@@ -10,6 +10,8 @@
 PREFIX=/opt/glite
 lbuprefix=lbu
 prefix=
+
+default: all
 
 -include Makefile.inc
 -include ${top_srcdir}/project/version.properties
@@ -29,6 +31,13 @@
 LINKXX:=libtool --mode=link ${CXX} -rpath ${stagedir}${prefix}/${libdir} ${LDFLAGS} 
 INSTALL:=libtool --mode=install install
 
+SOURCES=\
+	interface/*.h \
+	project/.post* \
+	src/*.c src/*.h \
+	test/*.cpp \
+	LICENSE Makefile
+
 os=${shell uname}
 DL_LIBS:=
 ifeq (${os},Linux)
@@ -47,8 +56,6 @@
 
 STATICLIB:=libglite_lbu_trio.a
 LTLIB:=libglite_lbu_trio.la
-
-default: all
 
 all compile: ${STATICLIB} ${LTLIB}
 
@@ -90,19 +97,6 @@
 	${CXX} -c ${CFLAGS} ${TEST_INC} $<
 	${LINKXX} -o $@ trio_test.o ${LTLIB} ${TEST_LIBS}
 
-dist: distsrc distbin
-
-distsrc:
-	mkdir -p ${top_srcdir}/${package}-${version}
-	cd ${top_srcdir} && GLOBIGNORE="${package}-${version}" && cp -Rf * ${package}-${version}
-	cd ${top_srcdir} && tar -czf ${distdir}/${package}-${version}_src.tar.gz --exclude-from=project/tar_exclude ${package}-${version}
-	rm -rf ${top_srcdir}/${package}-${version}
-
-distbin:
-	$(MAKE) install PREFIX=`pwd`/tmpbuilddir${stagedir}
-	save_dir=`pwd`; cd tmpbuilddir${stagedir} && tar -czf $$save_dir/${top_srcdir}/${distdir}/${package}-${version}_bin.tar.gz *; cd $$save_dir
-	rm -rf tmpbuilddir
-
 install: all
 	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/${libdir}
 	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
@@ -116,9 +110,12 @@
 clean:
 	rm -rvf *.o *.lo .libs lib* *.c *.h *.dox C/ CPP/
 	rm -rvf trio_test ${REPORTS}
-
+	rm -rvf dist ${package}-*.tar.gz
+	
 distclean:
 	rm -rvf Makefile.inc *.spec debian/
 
 %.lo %.o: %.c
 	${COMPILE} ${CFLAGS} -c $<
+
+.PHONY: default all compile stage check mkreports runtest install clean distclean dist distcheck

=== debian/changelog ===
glite-lbjp-common-trio (2.3.1-0head.2) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Tue, 14 Aug 2012 19:22:31 +0200

## glite-lbjp-common-trio 2.3.8

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 version=${module.version}
 
-VPATH=${top_srcdir}/src:${top_srcdir}/test::${top_srcdir}/doc
+VPATH=${top_srcdir}/src:${top_srcdir}/test
 
 CC=gcc
 
@@ -36,7 +36,7 @@
 	project/.post* \
 	src/*.c src/*.h \
 	test/*.cpp \
-	LICENSE Makefile
+	Makefile
 
 os=${shell uname}
 DL_LIBS:=
@@ -99,12 +99,10 @@
 
 install: all
 	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/${libdir}
-	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
 	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${lbutilsprefix}
 	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${lbuprefix}
 	${INSTALL} -m 755 ${LTLIB} ${DESTDIR}${PREFIX}${prefix}/${libdir}
 	${INSTALL} -m 644 ${STATICLIB} ${DESTDIR}${PREFIX}${prefix}/${libdir}
-	${INSTALL} -m 644 ${top_srcdir}/LICENSE ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
 	(cd ${top_srcdir}/interface && ${INSTALL} -m 644 ${HDRS} ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${lbuprefix})
 
 clean:
@@ -113,7 +111,7 @@
 	rm -rvf dist ${package}-*.tar.gz
 	
 distclean:
-	rm -rvf Makefile.inc *.spec debian/
+	rm -rvf project/changelog Makefile.inc *.spec debian/
 
 %.lo %.o: %.c
 	${COMPILE} ${CFLAGS} -c $<

=== debian/changelog ===
glite-lbjp-common-trio (2.3.8-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Fri, 25 Jan 2013 17:19:31 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: extra
 Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
 Uploaders: František Dvořák <valtri@civ.zcu.cz>
-Build-Depends: debhelper (>= 7.0.50~), chrpath, libcppunit-dev, libtool, pkg-config
+Build-Depends: debhelper (>= 7.0.50~), libcppunit-dev, libtool, pkg-config
 Standards-Version: 3.9.1
 Section: libs
 Homepage: http://glite.cern.ch
@@ -16,8 +16,8 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Standalone extended implementation of printf and scanf
  Standalone extended implementation of printf and scanf. Provides specialized
- formating options used by LB and
- JP.
+ formatting options used by Logging and Bookkeeping and Job
+ Provenance.
 
 Package: libglite-lbjp-common-trio-dev
 Section: libdevel

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,10 @@
 # -*- makefile -*-
 
 -include /usr/share/dpkg/buildflags.mk
+
+p_dbg=glite-lbjp-common-trio-dbg
+p_dev=libglite-lbjp-common-trio-dev
+p_lib=libglite-lbu-trio2
 
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
@@ -27,7 +31,7 @@
 	dh_testroot
 	rm -f configure-stamp build-stamp
 	$(MAKE) clean
-	rm -f Makefile.inc config.status
+	rm -f Makefile.inc config.status *.spec
 	dh_clean
 
 install: build-stamp
@@ -36,17 +40,18 @@
 	dh_prep
 	dh_installdirs
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
-	rm -rvf $(CURDIR)/debian/tmp/usr/share
-	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.la
-	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.a
-	find $(CURDIR)/debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'
+	rm -vf debian/tmp/usr/lib/*.la
+	mkdir -p debian/$(p_dbg)/usr/share/doc
+	mkdir -p debian/$(p_dev)/usr/share/doc
+	ln -s $(p_lib) debian/$(p_dbg)/usr/share/doc/$(p_dbg)
+	ln -s $(p_lib) debian/$(p_dev)/usr/share/doc/$(p_dev)
 
 binary-indep:
 
 binary-arch: install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs
+	dh_installchangelogs project/ChangeLog
 	dh_installdocs
 	dh_installexamples
 	dh_installman
@@ -54,7 +59,7 @@
 	dh_installcron
 	dh_install --fail-missing
 	dh_link
-	dh_strip --dbg-package=glite-lbjp-common-trio-dbg
+	dh_strip --dbg-package=$(p_dbg)
 	dh_compress
 	dh_fixperms
 	dh_makeshlibs

## glite-lbjp-common-trio 2.3.10

=== Makefile ===
--- 
+++ 
@@ -22,7 +22,7 @@
 
 CC=gcc
 
-DEBUG:=-g -O0 -Wall
+DEBUG:=-g -O0 -W -Wall
 
 CFLAGS:=${DEBUG} -I${top_srcdir}/src -I${top_srcdir}/interface -I. -DDATAGRID_EXTENSION ${CFLAGS}

=== debian/changelog ===
glite-lbjp-common-trio (2.3.10-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Mon, 24 Jun 2013 10:02:44 +0200

=== debian/control ===
--- 
+++ 
@@ -28,10 +28,10 @@
  This package contains development libraries and header files for gLite L&B/JP
  common trio library.
 
-Package: glite-lbjp-common-trio-dbg
+Package: libglite-lbu-trio2-dbg
 Section: debug
 Architecture: any
 Priority: extra
 Depends: libglite-lbu-trio2 (= ${binary:Version}), ${misc:Depends}
-Description: gLite L&B/JP common trio library debugging symbols
+Description: Debugging symbols for gLite L&B/JP common trio library
  This package contains debugging symbols for gLite L&B/JP common trio library.

## glite-lbjp-common-trio 2.3.11

=== debian/changelog ===
glite-lbjp-common-trio (2.3.11-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Fri, 22 Nov 2013 11:57:43 +0100

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 -include /usr/share/dpkg/buildflags.mk
 
-p_dbg=glite-lbjp-common-trio-dbg
+p_dbg=libglite-lbu-trio2-dbg
 p_dev=libglite-lbjp-common-trio-dev
 p_lib=libglite-lbu-trio2

## glite-lbjp-common-trio 2.3.13

=== Makefile ===
--- 
+++ 
@@ -27,8 +27,8 @@
 CFLAGS:=${DEBUG} -I${top_srcdir}/src -I${top_srcdir}/interface -I. -DDATAGRID_EXTENSION ${CFLAGS}
 
 COMPILE:=libtool --mode=compile ${CC}
-LINK:=libtool --mode=link ${CC} -rpath ${stagedir}${prefix}/${libdir} ${LDFLAGS} 
-LINKXX:=libtool --mode=link ${CXX} -rpath ${stagedir}${prefix}/${libdir} ${LDFLAGS} 
+LINK:=libtool --mode=link ${CC} ${LDFLAGS}
+LINKXX:=libtool --mode=link ${CXX} ${LDFLAGS}
 INSTALL:=libtool --mode=install install
 
 SOURCES=\
@@ -80,7 +80,7 @@
 	ranlib $@
 
 ${LTLIB}: ${OBJS}
-	${LINK} ${version_info} -o $@ ${LOBJS} -lm
+	${LINK} -rpath ${stagedir}${prefix}/${libdir} ${version_info} -o $@ ${LOBJS} -lm
 
 stage: compile
 	$(MAKE) install PREFIX=${stagedir} DOSTAGE=yes

=== debian/changelog ===
glite-lbjp-common-trio (2.3.13-1.git20151003) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Sat, 03 Oct 2015 10:10:48 +0200

=== debian/control ===
Source: glite-lbjp-common-trio
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), libcppunit-dev, libtool-bin, pkg-config
Standards-Version: 3.9.1
Section: libs
Homepage: http://glite.cern.ch

Package: libglite-lbu-trio2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Standalone extended implementation of printf and scanf
 Standalone extended implementation of printf and scanf. Provides specialized
 formatting options used by Logging and Bookkeeping and Job
 Provenance.

Package: libglite-lbjp-common-trio-dev
Section: libdevel
Architecture: any
Provides: glite-lbjp-common-trio
Depends: libglite-lbu-trio2 (= ${binary:Version}), ${misc:Depends}
Description: Development files for gLite L&B/JP common trio library
 Standalone extended implementation of printf and scanf. Provides specialized
 formatting options used by Logging and Bookkeeping and Job
 Provenance.
 .
 This package contains development libraries and header files for gLite L&B/JP
 common trio library.

Package: libglite-lbu-trio2-dbg
Section: debug
Architecture: any
Depends: libglite-lbu-trio2 (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for gLite L&B/JP common trio library
 Standalone extended implementation of printf and scanf. Provides specialized
 formatting options used by Logging and Bookkeeping and Job
 Provenance.
 .
 This package contains debugging symbols for gLite L&B/JP common trio library.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

p_dbg=libglite-lbu-trio2-dbg
p_dev=libglite-lbjp-common-trio-dev
p_lib=libglite-lbu-trio2

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@ --parallel --fail-missing

override_dh_auto_configure: config.status
config.status:
	./configure --root=/ --prefix=/usr --libdir=lib --os-type=debian --project=emi

override_dh_auto_clean: config.status
	make clean

override_dh_clean:
	dh_clean
	rm -vf Makefile.inc config.status *.spec

override_dh_strip:
	dh_strip --dbg-package=$(p_dbg)

override_dh_auto_install:
	dh_auto_install
	rm -vf debian/tmp/usr/lib/*.la

override_dh_installdocs:
	dh_installdocs --link-doc=$(p_lib)

=== debian/watch ===
version=3
http://scientific.zcu.cz/emi/emi.lbjp-common.trio/glite-lbjp-common-trio-(.*)\.tar\.gz
